Crashpad

Macros
simulate_crash_win.h File Reference
`#include <windows.h>`
`#include "client/crashpad_client.h"`
`#include "util/win/capture_context.h"`

## Macros
#define | CRASHPAD_SIMULATE_CRASH()
| Captures the CPU context and captures a dump without an exception. More...

## Macro Definition Documentation

## ◆ CRASHPAD_SIMULATE_CRASH

#define CRASHPAD_SIMULATE_CRASH | ( |  | ) |

Value:
do { \
CONTEXT context; \
crashpad::CaptureContext(&context); \
crashpad::CrashpadClient::DumpWithoutCrash(context); \
} while (false)
crashpad::CrashpadClient::DumpWithoutCrash
static void DumpWithoutCrash(const CONTEXT &context)
Requests that the handler capture a dump even though there hasn&#39;t been a crash.
Definition: crashpad_client_win.cc:717

Captures the CPU context and captures a dump without an exception.